Bug 219267 - Bug fails to move out of NEEDINFO after adding content
Bug fails to move out of NEEDINFO after adding content
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-12-12 06:03 EST by Simon Andrews
Modified: 2013-06-23 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-17 03:28:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Test to see if NEEDINFO is cleared. (44 bytes, text/plain)
2008-09-17 03:27 EDT, Simon Andrews
no flags Details

  None (edit)
Description Simon Andrews 2006-12-12 06:03:31 EST
Description of problem:

Bug #217862 was put into NEEDINFO state and the bug report says 'Bug currently
in NEEDINFO. Adding comment will automatically toggle status to ASSIGNED.'. 
Since then two comments have been added and the bug has stayed in NEEDINFO. 
There's no way (available to me at least) to manually move it back to ASSIGNED.

Other similar reports have mentioned a check box which says that I am providing
the requested info, but I don't have any such box in my view.
Comment 1 David Lawrence 2006-12-12 11:49:54 EST
Bug in Bugzilla it seems. The comments you have made are through the attachment
UI where you create a new bug attachment and not through the normal UI. The code
is different there and somehow slipped through the cracks when the NEEDINFO
support was inhanced. Support needs to be added to attachment.cgi to toggle the
NEEDINFO status similar to how it is already done with process_bug.cgi. Thanks
for the report.
Comment 2 Jon Stanley 2008-01-15 08:28:07 EST
this is still not fixed - see
Comment 3 David Lawrence 2008-09-16 12:55:01 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 4 Simon Andrews 2008-09-17 03:25:07 EDT
I'll try putting this into NEEDINFO to see what happens.
Comment 5 Simon Andrews 2008-09-17 03:27:00 EDT
Created attachment 316930 [details]
Test to see if NEEDINFO is cleared.
Comment 6 Simon Andrews 2008-09-17 03:28:02 EDT
Hurrah.  It does clear the NEEDINFO flag.

Consider this fixed.

Note You need to log in before you can comment on or make changes to this bug.